Cumulus TalosDocs
Open Talos
On this page

usage.rate_card

Read the customer rates of the tenant's active pricing (configured: false until metered pricing is installed)

Request

GET /api/v1/usage/rate-card

  • MCP: usage_rate_card
  • SDK: client.usage.rate_card (SDK path arguments use path; MCP uses params).
  • Minimum API key role: viewer.
  • Idempotency: none.

Use the request schema below. Read IDs from earlier operation results.

Input schema

json
{
  "parameters": [],
  "requestBody": null
}

Responses

json
{
  "200": {
    "description": "Read the customer rates of the tenant's active pricing (configured: false until metered pricing is installed)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/UsageRateCardResponse200"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}

Referenced schemas

json
{
  "components": {
    "schemas": {
      "UsageRateCardResponse200": {
        "type": "object",
        "properties": {
          "configured": {
            "type": "boolean"
          },
          "rate_card_id": {
            "type": "string",
            "minLength": 1,
            "nullable": true
          },
          "currency": {
            "type": "string",
            "enum": [
              "USD"
            ]
          },
          "period_start": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "period_end": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "rates": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "rate_id": {
                  "type": "string",
                  "minLength": 1
                },
                "meter": {
                  "type": "string",
                  "enum": [
                    "telephony.connected_ms",
                    "stt.audio_ms",
                    "tts.characters",
                    "tts.audio_ms"
                  ]
                },
                "unit": {
                  "type": "string",
                  "enum": [
                    "ms",
                    "character"
                  ]
                },
                "usd_per_unit": {
                  "type": "string",
                  "pattern": "^(0|[1-9][0-9]*)(\\.[0-9]{1,18})?$"
                },
                "display_unit": {
                  "type": "string",
                  "enum": [
                    "minute",
                    "1000_characters"
                  ]
                },
                "usd_per_display_unit": {
                  "type": "string",
                  "pattern": "^(0|[1-9][0-9]*)(\\.[0-9]{1,18})?$"
                }
              },
              "required": [
                "rate_id",
                "meter",
                "unit",
                "usd_per_unit",
                "display_unit",
                "usd_per_display_unit"
              ],
              "additionalProperties": false
            }
          }
        },
        "required": [
          "configured",
          "rate_card_id",
          "currency",
          "period_start",
          "period_end",
          "rates"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}

Errors and recovery

See API error handling and Troubleshooting.

Content version 0db43f68Markdown source
usage.rate_card · Cumulus Talos docs